## sentry arroyo-2.32.3

=== requirements.txt ===
# It seems 2.10.0 is problematic for the kip 848 tests.
# It needs some time to be fixed.
confluent-kafka>=2.7.0,<2.10.0
