=== debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

Source: sentry
Section: misc
Priority: extra
Maintainer: Cloudera Inc. <https://issues.cloudera.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.0
Homepage: http://sentry.incubator.apache.org/

Package: sentry
Architecture: all
Depends: hadoop-hdfs, hadoop-mapreduce, zookeeper, hive-jdbc (>= 1.1.0+cdh5.4.0), hive (>= 1.1.0+cdh5.4.0), hadoop-client (>= 2.6.0+cdh5.4.0), solr (>= 4.10.3+cdh5.5.0)
Description: A system for enforcing fine grained role based authorization to data and metadata stored on a Hadoop cluster.

Package: sentry-store
Architecture: all
Depends: sentry (= ${source:Version}), adduser
Description: Sentry Server
 Server for Sentry

Package: sentry-hdfs-plugin
Architecture: all
Depends: sentry (= ${source:Version}), hadoop-hdfs
Description: Sentry HDFS plugin
