=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
-export COMPONENT_HASH=a694ed5b64908eaccfcea065dca99ee1ea0c8eb8
- SENTRY_VERSION=2.1.0+cdh6.3.0
- SENTRY_PATCHED_VERSION=2.1.0-cdh6.3.0
+export COMPONENT_HASH=1725d62ace5cee4bbbb648cd6fce75b8ab7ed015
+ SENTRY_VERSION=2.1.0+cdh6.3.2
+ SENTRY_PATCHED_VERSION=2.1.0-cdh6.3.2
  SENTRY_BASE_VERSION=2.1.0
- SENTRY_RELEASE=1279813
+ SENTRY_RELEASE=1605554
  CDH_CUSTOMER_PATCH=p0
- CDH_PARCEL_CUSTOM_VERSION=2.1.0+cdh6.3.0-1279813.bionic
+ CDH_PARCEL_CUSTOM_VERSION=2.1.0+cdh6.3.2-1605554.bionic
 #
 # Licensed to the Apache Software Foundation (ASF) under one or more
 # contributor license agreements.  See the NOTICE file distributed with
